Bug 1021429 - socat: getgroupent fails with large number of groups
socat: getgroupent fails with large number of groups
Status: MODIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: socat (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Paul Wouters
BaseOS QE Security Team
:
Depends On:
Blocks: 1019961 1085024
  Show dependency treegraph
 
Reported: 2013-10-21 05:33 EDT by Florian Weimer
Modified: 2017-10-03 21:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.7.3.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-21 05:33:34 EDT
getusergroups() in sysutils.c is a potential performance hazard on a system with many groups (e.g., per-user groups over LDAP).  Use getgrouplist() instead.  This affects the "su-d" option.
Comment 3 Gerhard 2014-03-10 17:09:19 EDT
Has been implemented in upstream release 1.7.2.4

Note You need to log in before you can comment on or make changes to this bug.